#include <stdbool.h>

#include "port.h"

#include "mb.h"
#include "mbport.h"


/*================================================================================================*/
static eMBEventType eQueuedEvent;
static bool xEventInQueue;
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
BOOL xMBPortEventGet(eMBEventType *eEvent) {
    BOOL xEventHappened = FALSE;
    if (xEventInQueue) {
        *eEvent = eQueuedEvent;
        xEventInQueue = false;
        xEventHappened = TRUE;
    }
    return xEventHappened;
}
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
BOOL xMBPortEventInit(void) {
    xEventInQueue = false;
    return TRUE;
}
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
BOOL xMBPortEventPost(eMBEventType eEvent) {
    xEventInQueue = true;
    eQueuedEvent = eEvent;
    return TRUE;
}
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
